com.taosdata.jdbc.common

## Class Column

- java.lang.Object
- - com.taosdata.jdbc.common.Column

    public class Column
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Column(Object data, int type, int index)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getData()`
`int` `getIndex()`
`int` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Column

    public Column(Object data,
                  int type,
                  int index)

### Method Detail

#### getData

    public Object getData()

#### getType

    public int getType()

#### getIndex

    public int getIndex()